SQLRClient.SQLRelayDataAdapter Class Reference

Inherits DbDataAdapter, and IDbDataAdapter.

## Public Member Functions

| SQLRelayDataAdapter ()

## Protected Member Functions

override RowUpdatingEventArgs | CreateRowUpdatingEvent (DataRow datarow, IDbCommand command, StatementType statementtype, DataTableMapping datatablemapping)
override RowUpdatedEventArgs | CreateRowUpdatedEvent (DataRow datarow, IDbCommand command, StatementType statementtype, DataTableMapping datatablemapping)
override void | OnRowUpdating (RowUpdatingEventArgs value)
override void | OnRowUpdated (RowUpdatedEventArgs value)

## Properties

new SQLRelayCommand | SelectCommand`[get, set]`
new SQLRelayCommand | InsertCommand`[get, set]`
new SQLRelayCommand | UpdateCommand`[get, set]`
new SQLRelayCommand | DeleteCommand`[get, set]`
SQLRelayRowUpdatingEventHandler | RowUpdating
SQLRelayRowUpdatedEventHandler | RowUpdated

## Constructor & Destructor Documentation

SQLRClient.SQLRelayDataAdapter.SQLRelayDataAdapter | ( |  | ) |

Initializes a new instance of the SQLRelayDataAdapter class.

## Member Function Documentation

override RowUpdatedEventArgs SQLRClient.SQLRelayDataAdapter.CreateRowUpdatedEvent | ( | DataRow | datarow,
|  | IDbCommand | command,
|  | StatementType | statementtype,
|  | DataTableMapping | datatablemapping
| ) |  |

protected

Initializes a new instance of the RowUpdatingEventArgs class.

override RowUpdatingEventArgs SQLRClient.SQLRelayDataAdapter.CreateRowUpdatingEvent | ( | DataRow | datarow,
|  | IDbCommand | command,
|  | StatementType | statementtype,
|  | DataTableMapping | datatablemapping
| ) |  |

protected

Initializes a new instance of the RowUpdatingEventArgs class.

override void SQLRClient.SQLRelayDataAdapter.OnRowUpdated | ( | RowUpdatedEventArgs | value | ) |

protected

Raises the RowUpdated event of a .NET Framework data provider.

override void SQLRClient.SQLRelayDataAdapter.OnRowUpdating | ( | RowUpdatingEventArgs | value | ) |

protected

Raises the RowUpdating event of a .NET Framework data provider.

## Property Documentation

new SQLRelayCommand SQLRClient.SQLRelayDataAdapter.DeleteCommand

get set

Gets or set the query used to delete records from the data source.

new SQLRelayCommand SQLRClient.SQLRelayDataAdapter.InsertCommand

get set

Gets or set the query used to insert records into the data source.

SQLRelayRowUpdatedEventHandler SQLRClient.SQLRelayDataAdapter.RowUpdated

add remove

Occurs during Update after a command is executed against the data source. The attempt to update is made, so the even fires.

SQLRelayRowUpdatingEventHandler SQLRClient.SQLRelayDataAdapter.RowUpdating

add remove

Occurs during Update before a command is executed against the data source. The attempt to update is made, so the even fires.

new SQLRelayCommand SQLRClient.SQLRelayDataAdapter.SelectCommand

get set

Gets or set the query used to select records in the data source.

new SQLRelayCommand SQLRClient.SQLRelayDataAdapter.UpdateCommand

get set

Gets or set the query used to update records in the data source.